Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.architecture
Interface AgArchInfraTier

All Known Implementing Classes:
  CentralisedAgArch, JadeAgArch, SaciAgArch

    public interface AgArchInfraTier

This interface is implemented by the infrastructure tier (Saci/Jade/Centralised/...) to provide concrete perception, action, and communication to the agent architecture.

Method Summary
`void` | `act(ActionExec action, java.util.List<ActionExec> feedback)` Executes the action action and, when finished, add it back in feedback actions.
`void` | `broadcast(Message m)` Broadcasts a Jason message in a specific infrastructure
`boolean` | `canSleep()` Returns true whether the agent can sleep according to the arch
`void` | `checkMail()` Reads the agent's mailbox and adds messages into the agent's circumstance
`java.lang.String` | `getAgName()` Gets the agent's name
`RuntimeServicesInfraTier` | `getRuntimeServices()` Gets an object with infrastructure runtime services
`boolean` | `isRunning()` Checks whether the agent is running (alive)
`java.util.List<Literal>` | `perceive()` Gets the agent's perception as a list of Literals
`void` | `sendMsg(Message m)` Sends a Jason message in a specific infrastructure
`void` | `sleep()` Put the agent in "sleep" mode
`void` | `stopAg()` Stops the agent
`void` | `wake()` Removes the agent from the "sleep" mode

Method Detail

### perceive

    java.util.List<Literal> perceive()

  Gets the agent's perception as a list of Literals

### checkMail

    void checkMail()

  Reads the agent's mailbox and adds messages into the agent's circumstance

### act

    void act(ActionExec action,
             java.util.List<ActionExec> feedback)

  Executes the action action and, when finished, add it back in feedback actions.

### canSleep

    boolean canSleep()

  Returns true whether the agent can sleep according to the arch

### getAgName

    java.lang.String getAgName()

  Gets the agent's name

### sendMsg

    void sendMsg(Message m)
                 throws java.lang.Exception

  Sends a Jason message in a specific infrastructure

  Throws:
    `java.lang.Exception`

### broadcast

    void broadcast(Message m)
                   throws java.lang.Exception

  Broadcasts a Jason message in a specific infrastructure

  Throws:
    `java.lang.Exception`

### isRunning

    boolean isRunning()

  Checks whether the agent is running (alive)

### stopAg

    void stopAg()

  Stops the agent

### sleep

    void sleep()

  Put the agent in "sleep" mode

### wake

    void wake()

  Removes the agent from the "sleep" mode

### getRuntimeServices

    RuntimeServicesInfraTier getRuntimeServices()

  Gets an object with infrastructure runtime services

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD